# Preparing transparencies (KiCad)

[[Home|/home]] ► [[Electronics|/electronics]] ► [[Circuit board fabrication|/electronics/pcbfabrication]] ► Preparing transparencies (KiCad)

___

[[_TOC_]]

# Designing the circuit board
I use KiCad ([[http://kicad-pcb.org/]]) for the schematic and board design. It has the typical open-source quirks, and there are easier online options as well, but I prefer it nonetheless. I won't write up a full blown tutorial at this point, but here are some tips and tricks:

## Make sure you select the right copper layer, especially for through-hole components
Seems like a no-brainer, but I've found myself working for an hour on a layout only to realise I should've put the tracks for the through-hole components on the back copper layer (B.Cu). You can change the layer a track is on, but it's a hassle to do for an entire board.

You can also correct this using the "Mirror" option when plotting, but it's best to be consistent.

## Many symbols and footprints have already been created
If you find a symbol or footprint is missing from the standard library, Google for the part name for KiCad. There's plenty of GitHub repositories with components. I recommend placing them in the project folder and including it as a project-specific library.

Another good source of free symbols and footprints is [[https://www.snapeda.com/]]. You can create an account for free, and they offer free downloads in KiCad format for many components.